#

## center

Center the layout window view on the cursor lower-left coordinate, or the indicated coordinate if present.

### Usage:

> center [x y]

> > where x y is a coordinate in default magic units

### Summary:

> Without arguments, the center command centers the layout window on the lower-left corner of the cursor box. When values x and y are given, the view is centered on that coordinate. Coordinate values must be in (integer) units of the magic internal grid. This command is similar to the "view llx lly urx ury" command, which centers on a box instead of a point.

### Implementation Notes:

> center is implemented as a magic built-in command.

### Bugs:

> Coordinate values should be any acceptable value, including lambda, grid, and metric values, as they are for the box command.

### See Also:

> view

Return to command index

Last updated: January 15, 2021 at 12:47pm